Bug 798690 - [RFE] - katello CLI - make --repo and --product optional arguments for 'distribution list'
[RFE] - katello CLI - make --repo and --product optional arguments for 'distr...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent (Show other bugs)
6.0.1
Unspecified Unspecified
low Severity low (vote)
: Unspecified
: --
Assigned To: Bryan Kearney
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 10:18 EST by James Laska
Modified: 2014-03-11 12:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 12:44:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2012-02-29 10:18:19 EST
Description of problem:

Right now, --repo and --product are required arguments to the 'distribution list' command.  Given that the likely is only one distribution associated with a product and repository, having to repeat this command to list all distributions can be laborious.

It would be nice to be able to list all distributions, or all distributions in a product or repository.

Version-Release number of selected component (if applicable):
 * candlepin-0.5.22-1.el6.src.rpm
 * katello-0.1.300-1.el6.src.rpm
 * katello-certs-tools-1.0.2-2.el6.src.rpm
 * katello-cli-0.1.100-2.el6.src.rpm
 * katello-configure-0.1.100-7.el6.src.rpm
 * katello-httpd-ssl-key-pair-1.0-1.src.rpm
 * katello-qpid-broker-key-pair-1.0-1.src.rpm
 * katello-selinux-0.1.7-1.el6.src.rpm
 * katello-trusted-ssl-cert-1.0-1.src.rpm
 * pulp-0.0.267-2.el6.src.rpm

Steps to Reproduce:
1. distribution list
  
Actual results:

> katello> distribution list --environment Library
> Usage: katello [options]
> 
> katello: errors:
> 1) Option --repo is required; please see --help
> 2) Option --product is required; please see --help
> 
Expected results:

> katello> distribution list --environment Library
> ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
>                                                                                         Distribution List for environment Library
> 
>  Id                                                 Description                                           Product                         Repository
> ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------   
>  ks-Red Hat Enterprise Linux Server-None-5.8-i386   ks-Red Hat Enterprise Linux Server-None-5.8-i386      Red Hat Enterprise Linux Server Red Hat Enterprise Linux 5 Server RPMs i386 5Server
>  ks-Red Hat Enterprise Linux Server-None-5.8-x86_64 ks-Red Hat Enterprise Linux Server-None-5.8-x86_64    Red Hat Enterprise Linux Server Red Hat Enterprise Linux 5 Server RPMs x86_64 5Server
>  ks-Red Hat Enterprise Linux-Server-6.2-i386        ks-Red Hat Enterprise Linux-Server-6.2-i386           Red Hat Enterprise Linux Server Red Hat Enterprise Linux 6 Server RPMs i386 6Server
>  ks-Red Hat Enterprise Linux-Server-6.2-x86_64      ks-Red Hat Enterprise Linux-Server-6.2-x86_64         Red Hat Enterprise Linux Server Red Hat Enterprise Linux 6 Server RPMs x86_64 6Server


> katello> distribution list --environment Library --product "Red Hat Enterprise Linux Server"
> ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
>                                                                                         Distribution List for environment Library
> 
>  Id                                                 Description                                           Product                         Repository
> ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------   
>  ks-Red Hat Enterprise Linux Server-None-5.8-i386   ks-Red Hat Enterprise Linux Server-None-5.8-i386      Red Hat Enterprise Linux Server Red Hat Enterprise Linux 5 Server RPMs i386 5Server
>  ks-Red Hat Enterprise Linux Server-None-5.8-x86_64 ks-Red Hat Enterprise Linux Server-None-5.8-x86_64    Red Hat Enterprise Linux Server Red Hat Enterprise Linux 5 Server RPMs x86_64 5Server
>  ks-Red Hat Enterprise Linux-Server-6.2-i386        ks-Red Hat Enterprise Linux-Server-6.2-i386           Red Hat Enterprise Linux Server Red Hat Enterprise Linux 6 Server RPMs i386 6Server
>  ks-Red Hat Enterprise Linux-Server-6.2-x86_64      ks-Red Hat Enterprise Linux-Server-6.2-x86_64         Red Hat Enterprise Linux Server Red Hat Enterprise Linux 6 Server RPMs x86_64 6Server

> katello> distribution list --environment Library --repository "Red Hat Enterprise Linux 5 Server RPMs i386 5Server"
> ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
>                                                                                         Distribution List for environment Library
> 
>  Id                                                 Description                                           Product                         Repository
> ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------   
>  ks-Red Hat Enterprise Linux Server-None-5.8-i386   ks-Red Hat Enterprise Linux Server-None-5.8-i386      Red Hat Enterprise Linux Server Red Hat Enterprise Linux 5 Server RPMs i386 5Server
Comment 1 Mike McCune 2013-08-16 14:16:28 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 4 Bryan Kearney 2014-03-11 12:44:08 EDT
Closing old bugs which are not relevant based on new UI and CLI

Note You need to log in before you can comment on or make changes to this bug.